summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2022-01-19 23:18:11 +0100
committerMichał Górny <mgorny@gentoo.org>2022-01-19 23:59:30 +0100
commitedd9c2d8e6b810e62879df805a8291636676eb10 (patch)
treefaf5538e5332f7bcf4a0e8f5b9b9a529645fe6c7 /eclass/distutils-r1.eclass
parentnet-dns/resolvconf-symlink: Keyword 0 for ~m68k (diff)
downloadgentoo-edd9c2d8e6b810e62879df805a8291636676eb10.tar.gz
gentoo-edd9c2d8e6b810e62879df805a8291636676eb10.tar.bz2
gentoo-edd9c2d8e6b810e62879df805a8291636676eb10.zip
distutils-r1.eclass: Mark installed scripts +x in PEP517 mode
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/distutils-r1.eclass')
-rw-r--r--eclass/distutils-r1.eclass6
1 files changed, 6 insertions, 0 deletions
diff --git a/eclass/distutils-r1.eclass b/eclass/distutils-r1.eclass
index ae19ca08f7e4..d7cea6a512f6 100644
--- a/eclass/distutils-r1.eclass
+++ b/eclass/distutils-r1.eclass
@@ -971,6 +971,12 @@ distutils-r1_python_compile() {
--no-compile-bytecode ||
die "installer failed"
+ # TODO: workaround for a bug in installer; remove once we depend
+ # on a properly fixed version
+ if [[ -d ${root}/usr/bin ]]; then
+ chmod +x "${root}"/usr/bin/* || die
+ fi
+
# clean the build tree; otherwise we may end up with PyPy3
# extensions duplicated into CPython dists
if [[ ${DISTUTILS_USE_PEP517:-setuptools} == setuptools ]]; then